player = {}

function player.load()
	player.x = 5
	player.y = 600
	player.xvel = 0
	player.yvel = 0
	player.friction =7
	player.speed =2250
	player.width = 50
	player.height = 50
	image = love.graphics.newImage('textures/player.png')
end

function player.draw()
	--love.graphics.setColor(math.random(1, 255), math.random(1, 255), math.random(1, 255))
	--love.graphics.rectangle("fill", player.x, player.y, player.width, player.height)
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(image, player.x, player.y)
end

function player.physics(dt)
	player.x = player.x + player.xvel * dt
	player.y = player.y + player.yvel * dt
	player.yvel = player.yvel + gravity * dt
	player.xvel = player.xvel * (1 - math.min(dt * player.friction, 1))
end

function player.move(dt)
	if love.keyboard.isDown('d') and
	player.xvel < player.speed then
		player.xvel = player.xvel + player.speed * dt
	end

	if love.keyboard.isDown('a') and
	player.xvel > -player.speed then
		player.xvel = player.xvel - player.speed * dt
	end
	if love.keyboard.isDown(' ') then
		player.y = player.y - 0.5
	end
end

function love.keypressed( key )
	if key == " " and player.yvel > -player.speed then
		player.yvel = player.yvel - player.speed * 0.7 * 0.2
	end
end

function love.keyreleased( key )
	if key == " " then
		--player.yvel = -2
		gravity = 2000
	end
end

function player.boundary()
	if player.x < 0 then
		player.x = 0
		player.xvel = 0
	end
	if player.y + player.height > groundlevel then
		player.y = groundlevel - player.height
		player.yvel = 0
	end
	if player.y + player.height < rooflevel then
		player.y = rooflevel - player.height 
		player.yvel = 0
	end
end

--AT END
function UPDATE_PLAYER(dt)
	player.physics(dt)
	player.move(dt)
	player.boundary()
end

function DRAW_PLAYER()
	player.draw()
end
