function load()
	imgX = love.graphics.getWidth() / 2
	imgY = love.graphics.getWidth() / 3

	love.graphics.setBackgroundColor(190, 190, 190)
	title = love.graphics.newImage("textures/Epicland.png")
	imgPlay = love.graphics.newImage("textures/Buttons/playoff.png")
	imgPlayOn = love.graphics.newImage("textures/Buttons/playon.png")
	imgExit = love.graphics.newImage("textures/Buttons/exitoff.png")
	imgExitOn = love.graphics.newImage("textures/Buttons/exiton.png")
	imgOptions = love.graphics.newImage("textures/Buttons/optionsoff.png")
	imgOptionsOn = love.graphics.newImage("textures/Buttons/optionson.png")

	menubackground = love.graphics.newImage("textures/menubackground.png")
	
	buttons = 	{
				{imgOff = imgPlay, imgOn = imgPlayOn, x = imgX - 20, y = 300, w = 200, h = 112, action = "play"},
				{imgOff = imgOptions, imgOn = imgOptionsOn, x = imgX - 20, y = 420, w = 200, h = 59, action = "options"},
				{imgOff = imgExit, imgOn = imgExitOn, x = imgX - 20, y = 510, w = 200, h = 112, action = "exit"}
				}
end

local function drawButton(off, on, x, y, w, h, mx, my)
	local ins = insideBox( mx, my, x - (w/2), y - (h/2), w, h )
	
	love.graphics.setColor( 255, 255, 255, 255 )
	
	if ins then
		love.graphics.draw( on, x - 50, y - 30, 0, 0.5, 0.5, (w/2), (h/2) )
	else
		love.graphics.draw( off, x - 50, y - 30, 0, 0.5, 0.5, (w/2), (h/2) )
	end
end

function love.draw()
	love.graphics.draw(menubackground, 0, 0, 0, 1, 1, 0, 0)

	local x = love.mouse.getX( )
	local y = love.mouse.getY( )

	for k, v in pairs(buttons) do
		drawButton( v.imgOff, v.imgOn, v.x, v.y, v.w, v.h, x, y )
	end

	love.graphics.draw(title, imgX - 430, imgY - 530, 0, 0.4, 0.4, 0, 0)
end

function love.update(dt)
end

function love.focus(bool)
end

function love.keypressed( key, unicode )
end

function love.keyreleased( key, unicode )
	
end

function love.mousepressed( x, y, button )
	if button == "l" then
		for k, v in pairs(buttons) do
			local ins = insideBox( x, y, v.x - (v.w/2), v.y - (v.h/2), v.w, v.h )
			
			if ins then
				if v.action == "play" then
					loadState("level1")
				elseif v.action == "options" then
					loadState("options")
				elseif v.action == "exit" then
					love.event.quit()
				end
			end
		end
	end
end

function love.mousereleased( x, y, button )
end

function love.quit()
end

function insideBox( px, py, x, y, wx, wy )
	if px > x and px < x + wx then
		if py > y and py < y + wy then
			return true
		end
	end
	return false
end